<?php

use Picea\{ Asset, Language\LanguageRegistration, Ui\Ui };

use function DI\{get, autowire, create};

return [
    Asset\Asset::class => autowire(Asset\Asset::class),

    Asset\Config::class => create(Asset\Config::class)->constructor(
        destination: getenv("PUBLIC_PATH") . DIRECTORY_SEPARATOR . "static"
    ),

    Asset\FileFetcher::class => function($c) {
        return new Asset\FileFetcher($c->get(Lean\Lean::class)->getAssetPaths());
    },

    LanguageRegistration::class => create(\Lean\PiceaDefaultRegistration::class)->constructor(get('picea.extensions'), [], [], get(Ui::class), get(Asset\Asset::class)),
];